Package com.mockobjects.dynamic

# Class CallOnceExpectation

java.lang.Object
com.mockobjects.dynamic.CallOnceExpectation

All Implemented Interfaces:
  `Callable`, `Verifiable`

public class CallOnceExpectation extends Object implements Callable

## Constructor Summary

Constructors
Constructor
Description
`CallOnceExpectation(Callable delegate)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`call(Mock mock, String methodName, Object[] args)`
`String`
`getDescription()`
`boolean`
`matches(String methodName, Object[] args)`
`String`
`toString()`
`void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CallOnceExpectation

public CallOnceExpectation(Callable delegate)

## Method Details

### getDescription

public String getDescription()

Specified by:
  `getDescription` in interface `Callable`

### call

public Object call(Mock mock, String methodName, Object[] args) throws Throwable

Specified by:
  `call` in interface `Callable`
Throws:
  `Throwable`

### matches

public boolean matches(String methodName, Object[] args)

Specified by:
  `matches` in interface `Callable`

### verify

public void verify()
Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met.

Specified by:
  `verify` in interface `Verifiable`

### toString

public String toString()

Overrides:
  `toString` in class `Object`